<?php
// ini_set('display_errors', 1);

// $xslt = new GenXslt(true);
// $xsl_file = 'application/xsl/menu/left/menu_left_suivi.xsl';
// echo "baila";exit;
// $html = $xslt->XslHtml($xsl_file, $array);
// $xslt->echoHtml('menu_left');
// exit;
?>


<?php
require_once 'application/class/class_ManageSession.php';

global $connecteur;

$action = getValue('action');
$init_page = BoolSql(getValue('init_page'));

if ('AffichePanelMenuBurger' == $action) {
    // Affichage du Panel burger
    echo Barre_menu::JavascriptAfficherMasquerPanelBurger();
} else {
    AffichePopup::ViderTout();
    // ComposantXslCalendrier::SupprimerTousLesCalendrier(true); => surtout pas ici, c'est du javascript
    FicheFournisseurXml::VideSession();
    // AOQuestionnaireXml::VideSession();
    
    $provenanceRedirection = (array_key_exists('REDIRECTION', $_SESSION)) ? $_SESSION['REDIRECTION'] : '';
    $menuTmp = (array_key_exists('MENU_TMP', $_SESSION)) ? $_SESSION['MENU_TMP'] : '';
    
    if ($provenanceRedirection && 'Inscription' == $menuTmp) {
        // On vient d'un lien qui renvoie à l'écran des collaborateurs
        $profilTmp = $_SESSION['PROFIL_TMP'];
        
        $action = Barre_menu::$act_Barre_Admin; // Barre d'administration
        $init_page = true; // initialisation complète de la page
        
        unset($_SESSION['REDIRECTION']);
        unset($_SESSION['MENU_TMP']);
        unset($_SESSION['PROFIL_TMP']);
        unset($_SESSION['ID_TMP']);
    } else {
        $provenanceRedirection = false;
        $menuTmp = '';
        $profilTmp = '';
    }
    
    // Préparation de la barre de menu
    
    switch ($action) {
        case Barre_menu::$act_Page_PEC:
        case Barre_menu::$act_Page_Recap:
        case Barre_menu::$act_Page_Modele:
        case Barre_menu::$act_Page_Brouillon:
        case Barre_menu::$act_Page_Formulaire:
        case Barre_menu::$act_Page_LigneLibre:
        case Barre_menu::$act_Page_ImportFic:
        case Barre_menu::$act_Page_CdeRegul:
            $provenanceRedirection = true;
        case Barre_menu::$act_Barre_eProcAlt:
        case Barre_menu::$act_Barre_eProc:
            if($_SESSION['EasyDemat'] == 1){
                $array_menu = Barre_menu::BuildXmlBarreMenuEasyDemat();
            }else{
                $array_menu = Barre_menu::BuildXmlBarreMenueProc();
            }
            break;
        case Barre_menu::$act_Barre_DOA:
            $array_menu = Barre_menu::BuildXmlBarreMenuDOA();
            break;
        case Barre_menu::$act_Barre_Camp:
            $array_menu = Barre_menu::BuildXmlBarreMenuCampagne();
            break;
        case Barre_menu::$act_Barre_Admin:
            $array_menu = Barre_menu::BuildXmlBarreMenuAdministration();
            break;
        case Barre_menu::$act_Barre_Fournisseurs_filtre:
            $provenanceRedirection = true;
        case Barre_menu::$act_Barre_Fournisseurs:
            $array_menu = Barre_menu::BuildXmlBarreMenuFournisseurs();
            break;
        case Barre_menu::$act_Barre_AO:
            $array_menu = Barre_menu::BuildXmlBarreMenuAO();
            break;
    }
    
    $obj_xml = new GenXslt(true);
    
    //print_r($array_menu);exit;
    
    if ($init_page) {
        // Affichage de la barre de menu et de la page complète
//         print_r($array_menu);exit;
        echo $obj_xml->XslHtml(Menu::fichier_xsl_menu, $array_menu);
        
        
        ComposantXslCalendrier::SupprimerTousLesCalendrier(true);
        
        // Sepc 3679
        echo '<script type=\'text/javascript\'>';
        Affichage::scroolPage(false);
        $clTraitement = ValideIntPanier('controle_panier_login', true);
        if ('Inscription' === $menuTmp) {
            $typeAdmin = DroitAcces::GetTypeAdmin();
            echo Menu::GetLienInscriptEnAtt($typeAdmin);
        } else {
            $urlJs = getValue('urlJs');
            if (is_null($urlJs)) {
                
//                 // Dossier 27445
                if ('0' == $_SESSION['id_panier']) {
                    $xml = Barre_menu::BuildXmlPanelMenuBurger();
                    if (is_array($xml) && array_key_exists('!module', $xml) && $xml['!module'] == 'EP') {
                        if (array_key_exists('DA_CreatModif', $_SESSION) && $_SESSION['DA_CreatModif']) {
                            $clTraitement->addVariable('initPhp', 'LanceEcr(\'recherche.php\',\'men_gene\',\'id_panier=0\');');
                            $clTraitement->saveSession();
                        }
                    } else
                        echo 'CallUrl(\'tableau_de_bord.php?ancrage=men_gene\')';
                } else
                    echo 'CallUrl(\'tableau_de_bord.php?ancrage=men_gene\')';
            } else  if($urlJs)
            {
                echo 'CallUrl(\'panier_ong_2.php?OBJECT=relance\')';
            }
        }
        
        echo '</script>';
        exit();
    } else {
        $obj_xml->XslHtml(Menu::fichier_xsl_menu, $array_menu);
        // Affichage de la barre de menu uniquement
        $obj_xml->echoHtml(Barre_menu::$id_Barre_Menu);
        
        ComposantXslCalendrier::SupprimerTousLesCalendrier(false);
        
        // Et puisqu'on est sur un rafraîchissement, on masque le panel burger
        // Si nous sommes sur l'affichage d'un panier via les modèles / brouillons, pas besoin d'agir sur le menu burger
        echo "stopTimeOutPunchOut();";
        Affichage::scroolPage(false);
    }
    if (! $provenanceRedirection && Barre_menu::$act_Barre_eProcAlt != $action)
        echo Barre_menu::JavascriptAfficherMasquerPanelBurger();
    
    // Est-ce qu'il y avait une redirection sur une page?
    switch ($action) {
        case Barre_menu::$act_Barre_eProcAlt:
            break;
        case Barre_menu::$act_Barre_eProc:
            // Spec 3679
            if ($init_page)
                echo '<script type=\'text/javascript\'>';
            if (array_key_exists('DA_CreatModif', $_SESSION) && $_SESSION['DA_CreatModif']) {
                // User demandeur
                if ('0' == $_SESSION['id_panier'])
                    // Présence d’un panier en cours : ouvre la page "panier en cours"
                    echo 'LanceEcr("recherche.php","men_gene","id_panier=', $_SESSION['id_panier'], '");window.scrollTo(0,0);';
                else
                    // Pas de panier en cours : ouvre la page recherche
                    echo 'CallUrl(\'recherche_article.php?action=accueil\');';
            } else {
                // User uniquement signataire : page blanche
                echo 'getObj("men_gene").innerHTML="";';
            }
            if ($init_page)
                echo '</script>';
            break;
        case Barre_menu::$act_Page_PEC: // TODO IMPERATIF A REVOIR ICI EDP le 16/12/2015
            if (array_key_exists('id_panier', getValueAll($_REQUEST)))
                $id_panier = getValue('id_panier');
            elseif (array_key_exists('id_panier', $_SESSION))
                $id_panier = $_SESSION['id_panier'];
            else
                $id_panier = 0;
            if ($provenanceRedirection)
                echo 'LanceEcr("recherche.php","men_gene","id_panier=', $id_panier, '");window.scrollTo(0,0);';
            break;
        case Barre_menu::$act_Page_Recap:
            echo 'CallUrl("panier_ong_3.php","MODE=httpreq&OBJECT=relance");';
            break;
        case Barre_menu::$act_Page_Modele:
            echo 'CallUrl("IU_liste_paniers_modeles.php?action=initPaniersModeles");';
            break;
        case Barre_menu::$act_Page_Brouillon:
            echo 'CallUrl("IU_liste_paniers_modeles.php?action=initPaniersBrouillons");';
            break;
        case Barre_menu::$act_Page_Formulaire:
            echo 'CallUrl("IU_liste_paniers_modeles.php?action=initFormulairesSimples");';
            break;
        case Barre_menu::$act_Page_LigneLibre:
            echo 'CallUrl("creation_ligne_art.php?action=creationLigne&typeLigne=LIBRE");';
            break;
        case Barre_menu::$act_Page_ImportFic:
            echo 'CallUrl("recherche_article.php?action=import_fichier");';
            break;
        case Barre_menu::$act_Page_CdeRegul:
            echo 'CallUrl("cde_regul.php?action=accueilRE","");';
            break;
        case Barre_menu::$act_Barre_DOA:
            if ($init_page)
                echo '<script type=\'text/javascript\'>CallUrl(\'TDB_Operationnel.php?action=AfficherTabBordOp&ancrage=men_gene\');</script>';
            else
                echo 'CallUrl(\'TDB_Operationnel.php?action=AfficherTabBordOp&ancrage=men_gene\');';
            break;
        case Barre_menu::$act_Barre_Fournisseurs_filtre:
        case Barre_menu::$act_Barre_Fournisseurs:
            echo 'CallUrl("recherche_avancee_gene.php?action=AfficherRechercheSimple&popup_id=' . RechercheAvanceeGestFourniss::$popup_id . '&ancrage=men_gene&filtre1=' . getValue('filtre1') . '&filtre2=' . getValue('filtre2') . '&filtre3=' . getValue('filtre3') . '");';
            break;
        // Mis en commentaire par MFC
        /*
         * case Barre_menu::$act_Barre_Admin:
         * if($_SESSION['AdmLocal'] || $_SESSION['AdmCentral'])
         * echo 'CallUrl(\'COLLAB_manage.php\',\'list=collab&MODE_ACCES=L&PROFIL='.(($_SESSION['AdmLocal'])?'locale':'centrale').'\');';
         * break;
         */
        
        case Barre_menu::$act_Barre_Camp:
            echo 'CallUrl(\'suivi_doc.php\',\'action=accueil&TypeSuivi=CAMP&contexteSuivi=modePersonnel&MODE=httpreq&OBJECT=relance\')';
            break;
        
        default:
            // S'il n'y a pas de page à afficher, on efface tout....
            echo 'getObj("men_gene").innerHTML="";';
            break;
    }
}
